from django.contrib import admin
from django.urls import include, path
from rest_framework_simplejwt.views import TokenObtainPairView, TokenRefreshView

from kudosdeluxe.views import (
    GetStravaTokensView,
    StravaOAuthCallbackView,
    StravaRefreshTokenView,
)

urlpatterns = [
    path("", include("web.urls", namespace="web")),
    path("airspacecheck", include("airspacecheck.urls", namespace="airspacecheck")),
    path("running", include("running.urls", namespace="running")),
    path("kudosdeluxe/", include("kudosdeluxe.urls", namespace="kudosdeluxe")),
    path("admin/", admin.site.urls),
    path("accounts/", include("allauth.urls")),
    #
    path(
        "strava/callback/",
        StravaOAuthCallbackView.as_view(),
        name="strava-oauth-callback",
    ),
    path("api/strava/tokens/", GetStravaTokensView.as_view(), name="strava-get-tokens"),
    path(
        "api/strava/refresh-token/",
        StravaRefreshTokenView.as_view(),
        name="strava-refresh-token",
    ),
    #
    path("api/token/", TokenObtainPairView.as_view(), name="token_obtain_pair"),
    path("api/token/refresh/", TokenRefreshView.as_view(), name="token_refresh"),
]
